"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _flat = _interopRequireDefault(require("flat"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  unflatten
} = _flat.default;

const convertParamsToArrayItems = (property, record) => {
  const regex = new RegExp(`^${property.name}`);
  const keys = Object.keys(record.params).filter(key => key.match(regex));
  const obj = keys.reduce((memo, key) => ({ ...memo,
    [key]: record.params[key]
  }), {});
  return unflatten(obj)[property.name] || [];
};

var _default = convertParamsToArrayItems;
exports.default = _default;